# flatpak mask

flatpak

Developer
Alexander
Larsson
alexl@redhat.com
flatpak mask
1

# flatpak-mask

Mask out updates and automatic installation

                    flatpak mask
                    OPTION
                    PATTERN

## Description

Flatpak maintains a list of patterns that define which refs are masked. A masked ref will never be updated or automatically installed (for example a masked extension marked auto-download will not be downloaded). You can still manually install such refs, but once they are installed the version will be pinned.

The patterns are just a partial ref, with the * character matching anything within that part of the ref. Here are some example patterns:

    org.some.App
    org.some.App//unstable
    app/org.domain.*
    org.some.App/arm

To list the current set of masks, run this command without any patterns.

## Options

The following options are understood:

`-h`
`--help`

  Show help options and exit.

`--remove`

  Instead of adding the patterns, remove matching patterns.

`-u`
`--user`

  Mask refs in a per-user installation.

`--system`

  Mask refs in the default system-wide installation.

`--installation=NAME`

  Mask refs in a system-wide installation specified by NAME among those defined in `/etc/flatpak/installations.d/`. Using `--installation=default` is equivalent to using `--system`.

`-v`
`--verbose`

  Print debug information during command processing.

## Examples

`$ flatpak mask`

`$ flatpak mask org.broken.App`

`$ flatpak mask --remove org.broken.App`

## See also

flatpak 1, flatpak-update 1,